from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import ServiceBrokerViewSet

app_name = "broker"


class ServiceBrokerRouter(DefaultRouter):
    def get_method_map(self, viewset, method_map):
        result = super().get_method_map(viewset, method_map)

        # Add PUT method for provision_instance
        if hasattr(viewset, "provision_instance"):
            result.update({"put": "provision_instance"})

        return result


router = ServiceBrokerRouter(trailing_slash=False)
router.register("v2", ServiceBrokerViewSet, basename="broker")

urlpatterns = [
    path("", include(router.urls)),
]
